summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorVadim Kuznetsov <vadimk@gentoo.org>2013-06-16 07:48:37 -0400
committerVadim Kuznetsov <vadimk@gentoo.org>2013-06-16 07:48:37 -0400
commit814a2f4ce66af1d3abd2458d08db73be3982877f (patch)
tree560881aaf45b710f3f8c75a0ed5af9ac4bd077ea /app-emulation
parentvmware desktop 9.0.2 version bump. Bugs 459566, 458228, 460908. (diff)
downloadvmware-814a2f4ce66af1d3abd2458d08db73be3982877f.tar.gz
vmware-814a2f4ce66af1d3abd2458d08db73be3982877f.tar.bz2
vmware-814a2f4ce66af1d3abd2458d08db73be3982877f.zip
open-vm-tools: version bump (not tested); dropped maintainer
Diffstat (limited to 'app-emulation')
-rw-r--r--app-emulation/open-vm-tools-kmod/Manifest1
-rw-r--r--app-emulation/open-vm-tools-kmod/files/putname.patch13
-rw-r--r--app-emulation/open-vm-tools-kmod/metadata.xml3
-rw-r--r--app-emulation/open-vm-tools-kmod/open-vm-tools-kmod-2013.04.16.1098359.ebuild79
-rw-r--r--app-emulation/open-vm-tools/Manifest1
-rw-r--r--app-emulation/open-vm-tools/metadata.xml3
-rw-r--r--app-emulation/open-vm-tools/open-vm-tools-2013.04.16.1098359.ebuild114
-rw-r--r--app-emulation/vmware-vix/metadata.xml3
-rw-r--r--app-emulation/vmware-vsphere-cli/Manifest8
-rw-r--r--app-emulation/vmware-vsphere-cli/metadata.xml3
-rw-r--r--app-emulation/vmware-workstation/metadata.xml3
11 files changed, 210 insertions, 21 deletions
diff --git a/app-emulation/open-vm-tools-kmod/Manifest b/app-emulation/open-vm-tools-kmod/Manifest
index 37dafb2..50c1c4c 100644
--- a/app-emulation/open-vm-tools-kmod/Manifest
+++ b/app-emulation/open-vm-tools-kmod/Manifest
@@ -1,4 +1,5 @@
DIST open-vm-tools-2012.10.14-874563.tar.gz 3618001 SHA256 57832997ae206becd1c281dbc1ab361fa33320fb77866126b4ef7f077e66d739 SHA512 ec97e3ef6f6b338994d09d2b25b3ddf7a2aecc5d98818733d2524c65edd0b46ecd1e0107ac33677b4a26bcda30b7fadec1b324e36d1ea4d9fc148824f0a88f31 WHIRLPOOL c31cee1074a04bcfd7bfd5e54c2509028abd1fee76b833c29e171f5c408ac4970a2e1ff85a6ea4be3493dbe25c074fe2882e55a8ea8de0bdba7618e0b625c2cb
DIST open-vm-tools-2012.12.26-958366.tar.gz 3622541 SHA256 8d63a9c1e36ef968b87125b3c55c8ed5f75ecc9eafe84716eddee687b5b81606 SHA512 748d44951dcdff570faab071a5681ce68f8647df002de3a79853fbf1571835499f2dabc863cc7782b23fd55ad568d479ab10db9ff0bfc7c27cab4999b61f2a89 WHIRLPOOL ce4a51e9a40afea2a2f410e05ff9ca3535611a53d99c05e4d079f9b6df2cef1373113e3ec82bec378441f5f6689f6211c570c0ed4cfffe84534943d875f1bacb
+DIST open-vm-tools-2013.04.16-1098359.tar.gz 3737845 SHA256 fc939de4133d66c0cced8d0a7b5d87edcad3f598393b71c341e66bfec5087960 SHA512 682c25e315e3108617fd4d419f5bba8bf45f4966f13fa60944650390f63af2a7e4fcf740052106693403fcc2ec6f8b126e9911cbba044fc227f0c663e19f68e0 WHIRLPOOL eb13974f1e0a837617fad8c49f45e73570b343071c0619cc8408b5b9812e135cd9eafffc35a761740a58875c3e5583c625300398346d5863a2fa468044f6dd5f
DIST open-vm-tools-8.8.2-590212.tar.gz 3795261 SHA256 c985c8fe7b292209ec1ac7c2b60749d7a9dd7859d789c332deb6baaf53ba8878 SHA512 5bcf97fe59287d73db43c46895f857ec34da750318150d6878b21ba8df79c76164a688e009585c7a14574f645e1e3ce66c5f9e9bcfc592a79b6f3bbd620dd619 WHIRLPOOL 486b22d74925b4813470ae3f3f5c725f2fec8919a36681cbfb6b47e0fa7452d7ae7b92085e823a96ff22da9f2f59d20267965799d32f609a27864ebce070db56
DIST open-vm-tools-9.2.2-893683.tar.gz 3561799 SHA256 1ae795e75bf4b38185f39083b8075686d3bab4c1222f4e39c863aeccb2f5f387 SHA512 13490bdff2b8b316b1cd09e06c76293f21b83ede025ded5ddc71251e4f64279296f7dd0f248335f7e3d0714759be13f07263f154683878870a062c9ba55644fc WHIRLPOOL 16cbb0977a14a5f0f1efa1194dc1255d343767f7c55d3e97e03172c30117b24018634e870db7ad0d5010f5dd87d4664aa054d24e70e816b54cb1ca6148abb872
diff --git a/app-emulation/open-vm-tools-kmod/files/putname.patch b/app-emulation/open-vm-tools-kmod/files/putname.patch
new file mode 100644
index 0000000..b605e12
--- /dev/null
+++ b/app-emulation/open-vm-tools-kmod/files/putname.patch
@@ -0,0 +1,13 @@
+diff --git a/modules/linux/vmblock/linux/control.c b/modules/linux/vmblock/linux/control.c
+index 79716bd..2dd83fe 100644
+--- a/modules/linux/vmblock/linux/control.c
++++ b/modules/linux/vmblock/linux/control.c
+@@ -293,7 +293,7 @@ ExecuteBlockOp(const char __user *buf, // IN: buffer with name
+
+ retval = i < 0 ? -EINVAL : blockOp(name, blocker);
+
+- putname(name);
++ __putname(name);
+
+ return retval;
+ }
diff --git a/app-emulation/open-vm-tools-kmod/metadata.xml b/app-emulation/open-vm-tools-kmod/metadata.xml
index 86bc638..89f3183 100644
--- a/app-emulation/open-vm-tools-kmod/metadata.xml
+++ b/app-emulation/open-vm-tools-kmod/metadata.xml
@@ -2,9 +2,6 @@
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>vmware</herd>
- <maintainer>
- <email>vadimk@gentoo.org</email>
- </maintainer>
<longdescription>
The Open Virtual Machine Tools (open-vm-tools) are the open source
implementation of VMware Tools. They are a set of guest operating system
diff --git a/app-emulation/open-vm-tools-kmod/open-vm-tools-kmod-2013.04.16.1098359.ebuild b/app-emulation/open-vm-tools-kmod/open-vm-tools-kmod-2013.04.16.1098359.ebuild
new file mode 100644
index 0000000..2ef82e2
--- /dev/null
+++ b/app-emulation/open-vm-tools-kmod/open-vm-tools-kmod-2013.04.16.1098359.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-emulation/open-vm-tools-kmod/open-vm-tools-kmod-2012.12.26.958366.ebuild,v 1.2 2013/03/15 19:48:53 floppym Exp $
+
+EAPI="4"
+
+inherit eutils linux-info linux-mod versionator
+
+MY_PN="${PN/-kmod}"
+MY_PV="$(replace_version_separator 3 '-')"
+MY_P="${MY_PN}-${MY_PV}"
+
+DESCRIPTION="Opensourced tools for VMware guests"
+HOMEPAGE="http://open-vm-tools.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${MY_PN}/${MY_P}.tar.gz"
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND=""
+
+DEPEND="${RDEPEND}
+ virtual/linux-sources
+ "
+
+CONFIG_CHECK="
+ ~DRM_VMWGFX
+ ~VMWARE_BALLOON
+ ~VMWARE_PVSCSI
+ ~VMXNET3
+ "
+
+S="${WORKDIR}/${MY_P}"
+
+pkg_setup() {
+ linux-mod_pkg_setup
+
+ VMWARE_MOD_DIR="modules/linux"
+ VMWARE_MODULE_LIST="vmblock vmci vmhgfs vmsync vmxnet vsock"
+
+ MODULE_NAMES=""
+ BUILD_TARGETS="auto-build HEADER_DIR=${KERNEL_DIR}/include BUILD_DIR=${KV_OUT_DIR} OVT_SOURCE_DIR=${S}"
+
+ for mod in ${VMWARE_MODULE_LIST};
+ do
+ if [ "${mod}" == "vmxnet" ];
+ then
+ MODTARGET="net"
+ else
+ MODTARGET="openvmtools"
+ fi
+ MODULE_NAMES="${MODULE_NAMES} ${mod}(${MODTARGET}:${S}/${VMWARE_MOD_DIR}/${mod})"
+ done
+}
+
+src_prepare() {
+ sed -i.bak -e '/\smake\s/s/make/$(MAKE)/g' modules/linux/{vmblock,vmci,vmhgfs,vmsync,vmxnet,vsock}/Makefile\
+ || die "Sed failed."
+ epatch "${FILESDIR}/frozen.patch"
+ epatch "${FILESDIR}/putname.patch"
+ epatch_user
+}
+
+src_configure() {
+ : # do nothing at all
+}
+
+src_install() {
+ linux-mod_src_install
+
+ local udevrules="${T}/60-vmware.rules"
+ cat > "${udevrules}" <<-EOF
+ KERNEL=="vsock", GROUP="vmware", MODE=660
+ EOF
+ insinto /lib/udev/rules.d/
+ doins "${udevrules}"
+}
diff --git a/app-emulation/open-vm-tools/Manifest b/app-emulation/open-vm-tools/Manifest
index 37dafb2..50c1c4c 100644
--- a/app-emulation/open-vm-tools/Manifest
+++ b/app-emulation/open-vm-tools/Manifest
@@ -1,4 +1,5 @@
DIST open-vm-tools-2012.10.14-874563.tar.gz 3618001 SHA256 57832997ae206becd1c281dbc1ab361fa33320fb77866126b4ef7f077e66d739 SHA512 ec97e3ef6f6b338994d09d2b25b3ddf7a2aecc5d98818733d2524c65edd0b46ecd1e0107ac33677b4a26bcda30b7fadec1b324e36d1ea4d9fc148824f0a88f31 WHIRLPOOL c31cee1074a04bcfd7bfd5e54c2509028abd1fee76b833c29e171f5c408ac4970a2e1ff85a6ea4be3493dbe25c074fe2882e55a8ea8de0bdba7618e0b625c2cb
DIST open-vm-tools-2012.12.26-958366.tar.gz 3622541 SHA256 8d63a9c1e36ef968b87125b3c55c8ed5f75ecc9eafe84716eddee687b5b81606 SHA512 748d44951dcdff570faab071a5681ce68f8647df002de3a79853fbf1571835499f2dabc863cc7782b23fd55ad568d479ab10db9ff0bfc7c27cab4999b61f2a89 WHIRLPOOL ce4a51e9a40afea2a2f410e05ff9ca3535611a53d99c05e4d079f9b6df2cef1373113e3ec82bec378441f5f6689f6211c570c0ed4cfffe84534943d875f1bacb
+DIST open-vm-tools-2013.04.16-1098359.tar.gz 3737845 SHA256 fc939de4133d66c0cced8d0a7b5d87edcad3f598393b71c341e66bfec5087960 SHA512 682c25e315e3108617fd4d419f5bba8bf45f4966f13fa60944650390f63af2a7e4fcf740052106693403fcc2ec6f8b126e9911cbba044fc227f0c663e19f68e0 WHIRLPOOL eb13974f1e0a837617fad8c49f45e73570b343071c0619cc8408b5b9812e135cd9eafffc35a761740a58875c3e5583c625300398346d5863a2fa468044f6dd5f
DIST open-vm-tools-8.8.2-590212.tar.gz 3795261 SHA256 c985c8fe7b292209ec1ac7c2b60749d7a9dd7859d789c332deb6baaf53ba8878 SHA512 5bcf97fe59287d73db43c46895f857ec34da750318150d6878b21ba8df79c76164a688e009585c7a14574f645e1e3ce66c5f9e9bcfc592a79b6f3bbd620dd619 WHIRLPOOL 486b22d74925b4813470ae3f3f5c725f2fec8919a36681cbfb6b47e0fa7452d7ae7b92085e823a96ff22da9f2f59d20267965799d32f609a27864ebce070db56
DIST open-vm-tools-9.2.2-893683.tar.gz 3561799 SHA256 1ae795e75bf4b38185f39083b8075686d3bab4c1222f4e39c863aeccb2f5f387 SHA512 13490bdff2b8b316b1cd09e06c76293f21b83ede025ded5ddc71251e4f64279296f7dd0f248335f7e3d0714759be13f07263f154683878870a062c9ba55644fc WHIRLPOOL 16cbb0977a14a5f0f1efa1194dc1255d343767f7c55d3e97e03172c30117b24018634e870db7ad0d5010f5dd87d4664aa054d24e70e816b54cb1ca6148abb872
diff --git a/app-emulation/open-vm-tools/metadata.xml b/app-emulation/open-vm-tools/metadata.xml
index 3edc462..7fa2e82 100644
--- a/app-emulation/open-vm-tools/metadata.xml
+++ b/app-emulation/open-vm-tools/metadata.xml
@@ -2,9 +2,6 @@
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>vmware</herd>
- <maintainer>
- <email>vadimk@gentoo.org</email>
- </maintainer>
<longdescription>
The Open Virtual Machine Tools (open-vm-tools) are the open source
implementation of VMware Tools. They are a set of guest operating system
diff --git a/app-emulation/open-vm-tools/open-vm-tools-2013.04.16.1098359.ebuild b/app-emulation/open-vm-tools/open-vm-tools-2013.04.16.1098359.ebuild
new file mode 100644
index 0000000..406a626
--- /dev/null
+++ b/app-emulation/open-vm-tools/open-vm-tools-2013.04.16.1098359.ebuild
@@ -0,0 +1,114 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-emulation/open-vm-tools/open-vm-tools-2012.12.26.958366.ebuild,v 1.1 2013/01/20 12:09:54 vadimk Exp $
+
+EAPI="4"
+
+inherit eutils multilib pam user versionator flag-o-matic toolchain-funcs
+
+MY_PV="$(replace_version_separator 3 '-')"
+MY_P="${PN}-${MY_PV}"
+
+DESCRIPTION="Opensourced tools for VMware guests"
+HOMEPAGE="http://open-vm-tools.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.gz"
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="X doc fuse icu +pic xinerama"
+
+RDEPEND="app-emulation/open-vm-tools-kmod
+ dev-libs/glib:2
+ dev-libs/libdnet
+ sys-apps/ethtool
+ sys-process/procps
+ virtual/pam
+ X? (
+ dev-cpp/gtkmm:2.4
+ x11-base/xorg-server
+ x11-drivers/xf86-input-vmmouse
+ x11-drivers/xf86-video-vmware
+ x11-libs/gtk+:2
+ x11-libs/libnotify
+ x11-libs/libX11
+ x11-libs/libXtst
+ )
+ fuse? ( sys-fs/fuse )
+ icu? ( dev-libs/icu )
+ xinerama? ( x11-libs/libXinerama )
+ "
+
+DEPEND="${RDEPEND}
+ doc? ( app-doc/doxygen )
+ virtual/pkgconfig
+ virtual/linux-sources
+ sys-apps/findutils
+ "
+
+S="${WORKDIR}/${MY_P}"
+
+pkg_setup() {
+ enewgroup vmware
+}
+
+src_prepare() {
+ # Do not filter out Werror
+ # Upstream Bug http://sourceforge.net/tracker/?func=detail&aid=2959749&group_id=204462&atid=989708
+ # sed -i -e 's/CFLAGS=.*Werror/#&/g' configure || die "sed comment out Werror failed"
+ sed -i -e 's:\(TEST_PLUGIN_INSTALLDIR=\).*:\1\$libdir/open-vm-tools/plugins/tests:g' configure || die "sed test_plugin_installdir failed"
+}
+
+src_configure() {
+ # http://bugs.gentoo.org/402279
+ if has_version '>=sys-process/procps-3.3.2'; then
+ export CUSTOM_PROCPS_NAME=procps
+ export CUSTOM_PROCPS_LIBS="$($(tc-getPKG_CONFIG) --libs libprocps)"
+ fi
+
+ econf \
+ --with-procps \
+ --with-dnet \
+ --without-kernel-modules \
+ $(use_enable doc docs) \
+ --docdir=/usr/share/doc/${PF} \
+ $(use_with X x) \
+ $(use_with X gtk2) \
+ $(use_with X gtkmm) \
+ $(use_with icu) \
+ $(use_with pic) \
+ $(use_enable xinerama multimon)
+
+ # Bugs 260878, 326761
+ find ./ -name Makefile | xargs sed -i -e 's/-Werror//g' || die "sed out Werror failed"
+}
+
+src_install() {
+ default
+
+ rm "${D}"/etc/pam.d/vmtoolsd
+ pamd_mimic_system vmtoolsd auth account
+
+ rm "${D}"/usr/$(get_libdir)/*.la
+ rm "${D}"/usr/$(get_libdir)/open-vm-tools/plugins/common/*.la
+
+ newinitd "${FILESDIR}/open-vm-tools.initd" vmware-tools
+ newconfd "${FILESDIR}/open-vm-tools.confd" vmware-tools
+
+ exeinto /etc/vmware-tools/scripts/vmware/
+ doexe "${FILESDIR}"/network
+
+ if use X;
+ then
+ fperms 4755 "/usr/bin/vmware-user-suid-wrapper"
+
+ dobin "${S}"/scripts/common/vmware-xdg-detect-de
+
+ insinto /etc/xdg/autostart
+ doins "${FILESDIR}/open-vm-tools.desktop"
+
+ elog "To be able to use the drag'n'drop feature of VMware for file"
+ elog "exchange, please add the users to the 'vmware' group."
+ fi
+ elog "Add 'vmware-tools' service to the default runlevel."
+}
diff --git a/app-emulation/vmware-vix/metadata.xml b/app-emulation/vmware-vix/metadata.xml
index 5599850..bf1b34b 100644
--- a/app-emulation/vmware-vix/metadata.xml
+++ b/app-emulation/vmware-vix/metadata.xml
@@ -2,9 +2,6 @@
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>vmware</herd>
- <maintainer>
- <email>vadimk@gentoo.org</email>
- </maintainer>
<longdescription>
The VIX API allows you to write programs and scripts that automate
virtual machine operations, as well as the guests within virtual
diff --git a/app-emulation/vmware-vsphere-cli/Manifest b/app-emulation/vmware-vsphere-cli/Manifest
index 5aa1896..ffbd03f 100644
--- a/app-emulation/vmware-vsphere-cli/Manifest
+++ b/app-emulation/vmware-vsphere-cli/Manifest
@@ -1,6 +1,2 @@
-AUX makefile.patch 1128 RMD160 4181310858c3f291c2dba931a211cd4f1f17ef62 SHA1 06745c752f69b4a60a08769fe03141612da3cb29 SHA256 6c700f94685f7a6a273528fbabb1770ad550af92a0c72aa62bb3302cffac442a
-DIST VMware-vSphere-CLI-4.1.0-254719.i386.tar.gz 24109045 RMD160 a13cd6dc51c39665332eb0d3439275b0355b028f SHA1 bd125b1d47a4e3a1d4eff9eccdfbe49bb1df9c0f SHA256 261fa3651e8bbfb3da030b49434aaff6891779ca66af0273d434575b47d7ea7c
-DIST VMware-vSphere-CLI-4.1.0-254719.x86_64.tar.gz 23896345 RMD160 81ce63a51335954e804807bec9ea9d3818b125e9 SHA1 8c2874af4ac3a98549cdcab0bf2e1c60f670682d SHA256 78e0bddd734a35ba18f2737ea9a748097f6f8ca044a8ef00f86746cf69332396
-EBUILD vmware-vsphere-cli-4.1.0.254719.ebuild 3161 RMD160 f8907149a2758935ae018c938261984a5420de50 SHA1 90a3b360a97bb8b7bc6ea89204c24acc7bbfee53 SHA256 b5cc9f2ba92c82776207edf79b8eb6e44c141c2eb344b1b09f1618557eca1b8e
-MISC ChangeLog 351 RMD160 b5b6bcea3bc08c7a9a8dc34fcd683036c13cdcab SHA1 1d93a85d18325fc997c514ff10a7fc9697932c12 SHA256 d98e505e17236a2c2739421008c93efdb92c6b29a25e87b4ad775cd66bad9ef2
-MISC metadata.xml 723 RMD160 ea2d0941a2bfd064527fdf79b1a8e2f0b2671f8c SHA1 4cd898d707882a4d857998237b4f57c3f4aeddd3 SHA256 1dbc89531a7ef3744ca56bb0769638ace5871c9db36abc37ac046ed383171b9e
+DIST VMware-vSphere-CLI-4.1.0-254719.i386.tar.gz 24109045 SHA256 261fa3651e8bbfb3da030b49434aaff6891779ca66af0273d434575b47d7ea7c
+DIST VMware-vSphere-CLI-4.1.0-254719.x86_64.tar.gz 23896345 SHA256 78e0bddd734a35ba18f2737ea9a748097f6f8ca044a8ef00f86746cf69332396
diff --git a/app-emulation/vmware-vsphere-cli/metadata.xml b/app-emulation/vmware-vsphere-cli/metadata.xml
index 2c9f073..db63426 100644
--- a/app-emulation/vmware-vsphere-cli/metadata.xml
+++ b/app-emulation/vmware-vsphere-cli/metadata.xml
@@ -2,9 +2,6 @@
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>vmware</herd>
- <maintainer>
- <email>vadimk@gentoo.org</email>
- </maintainer>
<longdescription>
The vSphere Command-Line Interface (vSphere CLI) command set allows you
to run common system administration commands against ESX/ESXi systems
diff --git a/app-emulation/vmware-workstation/metadata.xml b/app-emulation/vmware-workstation/metadata.xml
index 2dc6f42..c2824d7 100644
--- a/app-emulation/vmware-workstation/metadata.xml
+++ b/app-emulation/vmware-workstation/metadata.xml
@@ -2,9 +2,6 @@
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>vmware</herd>
- <maintainer>
- <email>vadimk@gentoo.org</email>
- </maintainer>
<longdescription>
VMWare Workstation is a virtual machine which can be used to install
other operating systems in a virtual environment to run on top of Gentoo.